Skip to main content
POST
/
core.v1.ChangeAuthorizationService
/
UpdateSigningKey
cURL
curl -X POST "https://api.joinformal.com/core.v1.ChangeAuthorizationService/UpdateSigningKey" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "signingKey": {
    "id": "<string>",
    "name": "<string>",
    "publicKey": "<string>",
    "algorithm": "ecdsa-p384",
    "status": "active",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "userId": "<string>",
    "terminationProtection": true
  }
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json
id
string
Minimum string length: 1
status
enum<string>
Available options:
active,
revoked
terminationProtection
boolean | null

Response

Success

signingKey
signing_key · object